Subject: Re: bug#26661: compile, shell etc. should use bash-completion !

From: Stefan Kangas <[email-masked]>
Date: Wed, 28 Oct 2020 18:16:05 -0700

Bhavin Gandhi <[email-masked]> writes:

> On Fri, 4 Sep 2020 at 18:59, Stefan Kangas <[email-masked]> wrote:
>>
>> Maybe we could convince the authors of the bash-completion package to
>> assign their copyright to the FSF.
>
> I reached out to the author of bash-completion over GitHub, they are
> willing to do that if there is enough interest. Adding them in CC.
>
> https://github.com/szermatt/emacs-bash-completion/issues/45#issuecomment-706671531

I found the comment on that page interesting:

   I have to say that I personally find bash-completion a bit hackish
   and fragile (by nature) to be something that'd come as part of
   standard Emacs, but that's something for Emacs maintainers to decide.

So perhaps this should better be part of GNU ELPA for users that want
it as optional behavior.